Revoke Website Invite
curl --request DELETE \
--url https://api.athenahq.ai/api/v1/invites/website/{invite_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.athenahq.ai/api/v1/invites/website/{invite_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.athenahq.ai/api/v1/invites/website/{invite_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.athenahq.ai/api/v1/invites/website/{invite_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.athenahq.ai/api/v1/invites/website/{invite_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.athenahq.ai/api/v1/invites/website/{invite_id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.athenahq.ai/api/v1/invites/website/{invite_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Invite revoked",
"invite_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "Unauthorized"
}{
"error": "Unauthorized"
}{
"error": "Unauthorized access to this website"
}{
"error": "Invite not found"
}{
"error": "Invite is not pending (current status: accepted)"
}{
"error": "Unauthorized"
}Invites
Revoke Website Invite
Soft-revokes a pending website invite by setting its status to revoked. Accepts a global API key, or a website-scoped key if the invite’s target website is included in the key’s allowlist and the key’s creator is an Admin of that website. Returns 409 if the invite is in any other state. To remove an already-accepted member, use DELETE /api/v1/websites/{website_id}/members/{user_id} instead.
DELETE
/
api
/
v1
/
invites
/
website
/
{invite_id}
Revoke Website Invite
curl --request DELETE \
--url https://api.athenahq.ai/api/v1/invites/website/{invite_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.athenahq.ai/api/v1/invites/website/{invite_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.athenahq.ai/api/v1/invites/website/{invite_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.athenahq.ai/api/v1/invites/website/{invite_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.athenahq.ai/api/v1/invites/website/{invite_id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.athenahq.ai/api/v1/invites/website/{invite_id}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.athenahq.ai/api/v1/invites/website/{invite_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Invite revoked",
"invite_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "Unauthorized"
}{
"error": "Unauthorized"
}{
"error": "Unauthorized access to this website"
}{
"error": "Invite not found"
}{
"error": "Invite is not pending (current status: accepted)"
}{
"error": "Unauthorized"
}Path Parameters
The unique identifier of the website invite
Was this page helpful?